Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 451294 - sci-libs/plplot-5.9.9-r1 broken by Tk 8.6 Tcl_Interp no member result
Summary: sci-libs/plplot-5.9.9-r1 broken by Tk 8.6 Tcl_Interp no member result
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Science Related Packages
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: tcltk-8.6
  Show dependency tree
 
Reported: 2013-01-10 20:57 UTC by Helmut Jarausch
Modified: 2013-11-06 16:49 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
modified ebuild (plplot-5.9.9-r1.ebuild,5.83 KB, text/plain)
2013-01-13 12:23 UTC, Helmut Jarausch
Details
patch to be put in the files directory (plplot-5.9.9-tk86.patch,20.79 KB, patch)
2013-01-13 12:24 UTC, Helmut Jarausch
Details | Diff
new version of plplot-5.9.10-tcltk.patch (plplot-5.9.10-tcltk.patch,3.48 KB, patch)
2013-11-06 10:53 UTC, Helmut Jarausch
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Helmut Jarausch 2013-01-10 20:57:39 UTC
Tk 8.6 breaks sci-libs/plplot like many other packages.

Perhaps one should open a tracker for Tk8.6
/var/tmp/portage/sci-libs/plplot-5.9.9-r1/work/plplot-5.9.9/drivers/ntk.c: In function 'tk_cmd':
/var/tmp/portage/sci-libs/plplot-5.9.9-r1/work/plplot-5.9.9/drivers/ntk.c:118:44: error: 'Tcl_Interp' has no member named 'result'
Comment 1 Helmut Jarausch 2013-01-13 12:23:44 UTC
Created attachment 335450 [details]
modified ebuild
Comment 2 Helmut Jarausch 2013-01-13 12:24:28 UTC
Created attachment 335452 [details, diff]
patch to be put in the files directory
Comment 3 Justin Lecher gentoo-dev 2013-01-13 12:46:10 UTC
+  13 Jan 2013; Justin Lecher <jlec@gentoo.org> plplot-5.9.9-r1.ebuild,
+  +files/plplot-5.9.9-tk86.patch, metadata.xml:
+  Add fix for tk-8.6, thanks Helmut Jarausch preparing the patch, #451294
+


Could you please send the patch upstream?
Comment 4 Helmut Jarausch 2013-11-06 10:51:41 UTC
Unfortunately, plplot-5.9.10-tcltk.patch fails to apply here.

I've applied the changes "by hand" giving the new patch which I have appended.
This applies cleanly and the packages builds successfully.

Helmut.
Comment 5 Helmut Jarausch 2013-11-06 10:53:11 UTC
Created attachment 362662 [details, diff]
new version of plplot-5.9.10-tcltk.patch
Comment 6 Sébastien Fabbro (RETIRED) gentoo-dev 2013-11-06 16:49:23 UTC
+  06 Nov 2013; Sébastien Fabbro <bicatali@gentoo.org>
+  files/plplot-5.9.10-tcltk.patch:
+  Removed Id tag in patch, fixing bug #451294
+